name: Unit Tests

on: [push,pull_request,workflow_dispatch]

jobs:
   build:
    runs-on: ubuntu-latest
    strategy:
      matrix:
        smalltalk: [ Pharo64-10, Pharo64-9.0 ]
    name: ${{ matrix.smalltalk }}
    steps:
      - uses: actions/checkout@v2
      - name: Set up Smalltalk CI
        uses: hpi-swa/setup-smalltalkCI@v1
        with:
          smalltalk-image: ${{ matrix.smalltalk }}
      - name: Load Image and Run Tests
        run: smalltalkci -s ${{ matrix.smalltalk }} .smalltalkci/unit-tests.ston
        env:
          GITHUB_TOKEN: ${{ secrets.GITHUB_TOKEN }}
        timeout-minutes: 15
      - name: Upload coverage to Codecov
        uses: codecov/codecov-action@v1
        with:
          name: ${{matrix.os}}-${{matrix.smalltalk}}
          token: ${{ secrets.CODECOV_TOKEN }}
